-- Initial tracer-game.cabal generated by cabal init.  For further 
-- documentation, see http://haskell.org/cabal/users-guide/

name:                tracer-game
version:             0.0.0.0
-- synopsis:            
-- description:         
license:             GPL-3
license-file:        LICENSE
author:              nek0
maintainer:          nek0@chelnok.de
-- copyright:           
category:            Game
build-type:          Simple
extra-source-files:  ChangeLog.md
cabal-version:       >=1.10

executable tracer-game
  main-is:             Main.hs
  other-modules:       Types
                     , Types.UserData
                     , Types.Map
                     , Types.Interior
                     , Types.ReachPoint
                     , Types.Direction
                     , Types.ImgId
                     , Types.FontId
                     , Types.StateData
                     , Types.Animation
                     , Types.MindMap
                     , Types.Drawable
                     , Types.Collidible
                     , Types.ObjType
                     , Types.ObjClass
                     , Types.Entity
                     , Types.NPCState
                     , Animation
                     , Collision
                     , StateMachine
                     , Floorplan
                     , Interior
                     , Init
                     , Load
                     , Menu.Connect
                     , Menu.Adjust
                     , MainGame.WorldMap
                     , MainGame.MindMap
                     , Navigation
                     , MindMap
                     , NPC
                     , Object
                     , Object.ActionTime
                     , Object.Computer
                     , Object.Copier
                     , Object.Door
                     , Util
  default-extensions:  OverloadedStrings
                     , DeriveGeneric
                     , DataKinds
  -- other-extensions:    
  build-depends:       base >=4.10 && <5
                     , affection == 0.0.0.9
                     , sdl2 >= 2.4.0.0
                     , OpenGL
                     , nanovg >= 0.6.0.0
                     , stm
                     , text
                     , containers
                     , ecstasy >= 0.2.1.0
                     , linear
                     , matrix >= 0.3.6.0
                     , random
                     , vector
                     , astar
                     , unordered-containers
                     , JuicyPixels
                     , JuicyPixels-extra
                     , bytestring
                     , algebraic-graphs
                     , mtl
                     , parallel
                     , split
  hs-source-dirs:      src
  ghc-options:         -Wall -threaded
  default-language:    Haskell2010
